Package: groovy.org.codenarc.rule.naming

## [Groovy] Class InterfaceNameRule

- groovy.org.codenarc.rule.naming.InterfaceNameRule

- Rule that verifies that the name of an interface matches a regular expression specified in the `regex` property. If that property is null or empty, then this rule is not applied (i.e., it does nothing). It defaults to null, so this rule must be explicitly configured to be active.

  See Also:
    ClassNameRule
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`
    `String` | `regex`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isReady()`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority

    - #### String regex

  - ### Method Detail

    - #### boolean isReady()